-- ~/.config/mpv/scripts/mpv_listup.lua

-- Ctrl+l でディレクトリ内をプレイリスト化して連続再生
-- nautilus_ls というオリジナルコマンドが必要

local utils = require 'mp.utils'

function on_listup()
    local hit = false
    local directory, fn = utils.split_path(mp.get_property('path'))
    if directory == '.' then
        directory = utils.getcwd()
    end
    local pfile = io.popen('nautilus_ls  "'..directory..'"')
    for filename in pfile:lines() do
        if hit then
            mp.commandv('loadfile', utils.join_path(directory, filename), 'append')
        else
            hit = filename == fn
        end
    end
    pfile:close()
end
mp.add_key_binding('Ctrl+l', 'listup_func', on_listup)

